LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFlushable Interface Referencepublished

is supported by objects with data that can be flushed to a data source. More...

`import"XFlushable.idl";`

Inheritance diagram for XFlushable:

## Public Member Functions
void | flush ()
| flushes the data of the object to the connected data source. More...
void | addFlushListener ([in] com::sun::star::util::XFlushListener l)
| adds the specified listener to receive event "flushed." More...
void | removeFlushListener ([in] com::sun::star::util::XFlushListener l)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is supported by objects with data that can be flushed to a data source.

## Member Function Documentation

## ◆ addFlushListener()

void addFlushListener | ( | [in] com::sun::star::util::XFlushListener | l | ) |

adds the specified listener to receive event "flushed."

## ◆ flush()

void flush | ( |  | ) |

flushes the data of the object to the connected data source.

## ◆ removeFlushListener()

void removeFlushListener | ( | [in] com::sun::star::util::XFlushListener | l | ) |

removes the specified listener.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XFlushable.idl